%define upstream_name    CPAN-Dependency
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Analyzes CPAN modules and generates their dependency tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPANPLUS) >= 0.820.0
BuildRequires: perl(DBD::SQLite) >= 1.0.0
BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp) >= 9999.120.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::CoreList) >= 2.120.0
BuildRequires: perl(Module::Pluggable) >= 4.800.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(YAML) >= 0.660.0
BuildArch:  noarch

%description
This module can process a set of distributions, up to the whole CPAN, and
extract the dependency relations between these distributions.
Alternatively, it can load the prerequisites information from a CPANTS
database. 

It also calculates a score for each distribution based on the number of
times it appears in the prerequisites of other distributions. The algorithm
is described in more details in the "SCORE CALCULATION" manpage. 

'CPAN::Dependency' stores the data in an internal structure which can be
saved and loaded using 'save_deps_tree()' and 'load_deps_tree()'. The
structure looks like this: 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.160.0-8pclos2017
- rebuild against updates

